=== debian/changelog ===
asmixer (0.5-19) unstable; urgency=medium

  * QA upload.
  * Hardening only for architectures where it is known to build

 -- Andreas Tille <tille@debian.org>  Wed, 03 Dec 2025 18:56:48 +0100

asmixer (0.5-18) unstable; urgency=medium

  * QA upload.
  * Maintain package in Debian team on Salsa
  * Point Homepage to webarchive
  * d/copyright: DEP5
  * d/rules: Short dh
  * Make sure build flags will be used
    Closes: #1119351
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Set debhelper-compat version in Build-Depends.

 -- Andreas Tille <tille@debian.org>  Sat, 29 Nov 2025 17:45:49 +0100

asmixer (0.5-17) unstable; urgency=medium

  * Set Debian QA Group as maintainer

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 07 Sep 2025 13:06:10 +0200

asmixer (0.5-16.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (closes: #1007533)

 -- Bastian Germann <bage@debian.org>  Sat, 17 Feb 2024 22:22:50 +0000

asmixer (0.5-16) unstable; urgency=medium

  * Apply patch from Helmut Grohne <helmut@subdivi.de>:
    Fix FTCBFS: Let dh_auto_build pass cross tools to make (closes: #1010227)

 -- Fredrik Hallenberg <hallon@debian.org>  Wed, 04 Jan 2023 10:53:26 +0100

asmixer (0.5-15) unstable; urgency=medium

  * Fix build issues (closes: #999333)

 -- Fredrik Hallenberg <hallon@debian.org>  Thu, 11 Nov 2021 21:44:12 +0100

asmixer (0.5-14) unstable; urgency=low

  * Fixed lintian warnings.

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 28 Dec 2008 14:43:16 +0100

asmixer (0.5-13) unstable; urgency=low

  * Build-depend on libxext-dev (closes: #464607)

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 08 Feb 2008 21:19:51 +0100

asmixer (0.5-12) unstable; urgency=low

  * Really applied the patch.

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 14 Jan 2006 19:15:42 +0100

asmixer (0.5-11) unstable; urgency=low

  * Applied patch from Alfred Arnold <alfred@ccac.rwth-aachen.de>
    to fix seg-fault on DEC Alpha.

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 14 Jan 2006 19:11:46 +0100

asmixer (0.5-10) unstable; urgency=low

  * Fixed build problem (closes: #336910)
  * Updated standards version.

 -- Fredrik Hallenberg <hallon@debian.org>  Sat,  5 Nov 2005 11:32:01 +0100

asmixer (0.5-9) unstable; urgency=low

  * Updated standards version.

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 30 Jul 2004 19:31:50 +0200

asmixer (0.5-8) unstable; urgency=low

  * Updated copyright with information from the author.
    Hopefully this resolves licenese issues (closes: #72016)

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 15 Apr 2001 11:21:32 +0200

asmixer (0.5-7) unstable; urgency=low

  * Updated build-depends (closes: #86961)

 -- Fredrik Hallenberg <hallon@debian.org>  Thu, 22 Feb 2001 15:30:35 +0100

asmixer (0.5-6) unstable; urgency=low

  * Updated build-depends (closes: #69178)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 15 Aug 2000 19:47:09 +0200

asmixer (0.5-5) unstable; urgency=low

  * Rebuild to update libxpm dependency (closes: #67940)

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 31 Jul 2000 09:21:50 +0200

asmixer (0.5-4) frozen unstable; urgency=low

  * New maintainer.
  * Updated to standards 2.4.0.0.
  * Small change in description.
  * Small patch that prevent overflows when moving the levers too fast
    (fixes: bugs #14092, #19989).

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 13 Apr 1998 17:07:05 +0200

asmixer (0.5-3) unstable; urgency=low

  * Rebuilt with xpm4g.

 -- David Engel <david@debian.org>  Mon, 15 Sep 1997 08:57:02 -0500

asmixer (0.5-2) unstable; urgency=low

  * Converted to libc6.

 -- David Engel <david@debian.org>  Tue,  9 Sep 1997 11:53:35 -0500

asmixer (0.5-1) unstable; urgency=low

  * New upstream version.

 -- David Engel <david@debian.org>  Mon, 23 Jun 1997 21:31:35 -0500

asmixer (0.4.1-1) unstable; urgency=low

  * Initial Release for Debian.

 -- David Engel <david@debian.org>  Thu, 29 May 1997 19:46:38 -0500
