=== debian/control ===
Source: asmixer
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends: libx11-dev, libxpm-dev, libxext-dev, debhelper-compat (= 13), xutils-dev
Vcs-Browser: https://salsa.debian.org/debian/asmixer
Vcs-Git: https://salsa.debian.org/debian/asmixer.git
Homepage: https://web.archive.org/web/20160601174554/http://tigr.net/afterstep/download/asmixer/

Package: asmixer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AfterStep audio mixer
 asmixer is a small audio mixer.  It follows the look and feel
 of the AfterStep window manager and is ideally suited to be run
 within AfterStep's Wharf module.
