=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Detect architecture
ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# Architectures hardening is known to work
HARDENING_ARCHS := amd64 i386 ppc64el loong64 x32

# Check if current arch is in the list
ifneq (,$(filter $(ARCH),$(HARDENING_ARCHS)))
    export DEB_BUILD_MAINT_OPTIONS = hardening=+all
endif

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=`pwd`/debian/asmixer BINDIR=/usr/bin
